Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service
Class VcardServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              be.fedict.eid.applet.service.VcardServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class VcardServlet

extends HttpServlet

Servlet that outputs the eID identity data from the HTTP session to a vCard 3.0 Can be used by address books

Author:
  Bart Hanssens
See Also:
  `http://www.ietf.org/rfc/rfc2426.txt`, Serialized Form

Constructor Summary
`VcardServlet()`

Method Summary
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VcardServlet

    public VcardServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.